import { ScriptTarget } from 'typescript';
export interface Config {
    configFile?: string;
    input: {
        files: string[];
        urls: string[];
        stdin: boolean;
    };
    outputFile?: string;
    target: ScriptTarget;
    outputAST: boolean;
    plugins: {
        [pluginName: string]: boolean | Record<string, unknown>;
    };
}
declare let config: Config;
export declare function setConfig(input: Partial<Config>): void;
export declare function clearToDefault(): void;
export declare function showConfig(version: string, c: Config): Promise<void>;
export default config;
